package com.qmth.distributed.print.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.distributed.print.business.entity.TSyncStmmsExam;

import java.util.List;

/**
 * 云阅卷考试表 服务类
 */
public interface TSyncStmmsExamService extends IService<TSyncStmmsExam> {

    List<TSyncStmmsExam> listExam(String orgCode);

    List<TSyncStmmsExam> syncExam(String orgCode);

    TSyncStmmsExam getBySchoolIdAndExamId(Long schoolId, String orgCode, Long thirdRelateId);

    TSyncStmmsExam getBySchoolIdAndOrgCodeAndExamName(Long schoolId, String orgCode, String thirdRelateName);
}
